<template>
  <el-form-item :label="options.name" :required="options.required">

    <Chart ref="chartRef" />
  </el-form-item>
</template>
<script lang="ts" setup>

import Chart from '@/components/Draggable/chart.vue';

defineOptions({
  name: 'hw-input-view'
});

const chartRef = ref();
const props = defineProps({
  options: Object,
  formData: Object
});
onMounted(() => {
  chartRef.value.setData({
    xAxis: {
      type: 'category',
      data: ['Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun']
    },
    yAxis: {
      type: 'value'
    },
    series: [
      {
        data: [150, 230, 224, 218, 135, 147, 260],
        type: 'line'
      }
    ]
  });
});
const { options, formData } = toRefs(props);
</script>
<style scoped lang="less">
</style>



